Bug 103550 - JIS function
Summary: JIS function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2016-10-28 10:19 UTC by raal
Modified: 2018-01-28 08:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (10.20 KB, application/x-zip-compressed)
2016-10-28 10:20 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-10-28 10:19:26 UTC
Description:
> from bug AOO#78727 - I took test case attached from this bug and the first
> test (row 2) failed. 

Looks like a bug, because there is a U+002D HYPHEN-MINUS instead of
U+FF0D FULLWIDTH HYPHEN-MINUS in the result.

Actual Results:  
U+002D HYPHEN-MINUS 

Expected Results:
U+FF0D FULLWIDTH HYPHEN-MINUS 


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 raal 2016-10-28 10:20:12 UTC
Created attachment 128315 [details]
test case
Comment 2 Buovjaga 2016-11-14 19:41:36 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.3.3
Build ID: 5.2.3-1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 3 Commit Notification 2018-01-26 10:02:31 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=484d0ea842da586a4cf51b6d11683b04f234474c

tdf#103550 fix issue with HYPHEN-MINUS in Calc function JIS.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-01-26 19:45:41 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c01c25ac4f85266719dc04e9809da2f3eb5b10e&h=libreoffice-6-0

tdf#103550 fix issue with HYPHEN-MINUS in Calc function JIS.

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.